MantisBT

View Issue Details Jump to Notes ] Wiki ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010271mantisbtlocalizationpublic2009-03-29 05:392009-07-01 06:28
Reportergiallu 
Assigned Tojreese 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version1.2.0a3 
Target VersionFixed in Version 
Summary0010271: add warning if mb_string is missing
DescriptionThe current wrapper approach for mb_string functions looks fine, but if mb_string is missing and the user is working with a non english localization we are breaking stuff silently.

I think we should add a warning for such kind of scenario, so the user knows he needs to stick to english or install mb_string
TagsNo tags attached.
Attached Files

- Relationships
related to 0008763closedsiebrand Russian characters not shown correctly 
related to 0010303closedjreese Create and use string_api wrappers for multibyte string functions 

-  Notes
User avatar (0021262)
jreese (administrator)
2009-03-29 14:19

Agreed. I've got a couple ideas for moving system warnings off of the login page, and into the new management overview page. This is likely a good fit for that as well.
User avatar (0022174)
jreese (administrator)
2009-06-15 10:14

This is no longer needed with the new library included as part of issue 0010303.

- Issue History
Date Modified Username Field Change
2009-03-29 05:39 giallu New Issue
2009-03-29 14:19 jreese Note Added: 0021262
2009-03-29 14:19 jreese Status new => acknowledged
2009-03-29 14:19 jreese Target Version => 1.2.2
2009-04-08 09:55 jreese Relationship added related to 0010303
2009-04-27 16:58 siebrand Relationship added related to 0008763
2009-05-04 14:27 siebrand Target Version 1.2.2 => 1.x.x
2009-06-15 10:14 jreese Note Added: 0022174
2009-06-15 10:14 jreese Status acknowledged => resolved
2009-06-15 10:14 jreese Resolution open => no change required
2009-06-15 10:14 jreese Assigned To => jreese
2009-06-26 12:00 vboctor Status resolved => closed
2009-07-01 06:28 dhx Target Version 1.x.x =>


MantisBT 1.2.17 [^]
Copyright © 2000 - 2014 MantisBT Team
Time: 0.0786 seconds.
memory usage: 3,044 KB
Powered by Mantis Bugtracker